Subject: Re: bug#62720: 29.0.60; Not easy at all to upgrade :core packages like Eglot

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Apr 2023 08:41:15 +0300

> Date: Thu, 27 Apr 2023 02:05:21 +0300
> From: Dmitry Gutov <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked], [email-masked]
> 
> On 25/04/2023 21:35, Dmitry Gutov wrote:
> >> So I think we need to rephrase that.  Something like
> >>
> >>    Packages which are part of the Emacs distribution cannot be updated
> >>    that way.
> > 
> > This is probably better. As long as we understand it to read "packages 
> > which are part ... and were never upgraded to a version from ELPA".
> 
> Anyway, if we agree to keep this unfixed, we should probably add this 
> text somewhere: either into the docstring anyway, or to etc/PROBLEMS.

Do we agree to leave package-update unchanged?

And what about the renaming you suggested in another bug report?

I'd like to make a new pretest soon, with all these issues finalized
as best as we can.

As for PROBLEMS, I'm not sure.  We usually put there only something
that people actually complain about, not proactively.  How about
mentioning this in the doc string instead?